function[ppt_clim]=plot_clim3B42(annee1, annee2)

%+
% _plot_clim3B42.m:
%
% ===============
% plot_clim3B42.m
% ===============
%
%-

global PROJECT_ID
global netcdf_open_available
% Parametres
 latmin=14.30;
 latmax=16.15;
 lonmin=-16;
 lonmax=-12.50;
usage='[ppt_clim]=plot_clim3B42(annee1, annee2)';
%
if nargin~=nargin(mfilename)
   disp(['Incorrect number of input arguments' num2str(nargin)])
   error(usage);
end
%
if nargout~=nargout(mfilename);
   disp(['Incorrect number of output arguments' num2str(nargout)])
   error(usage);
end
%fullfilename=[ PROJECT_ID '3B42/3B42_daily.' int2str(annee) '.Afr_025.nc']
%disp(['iii : opening for reading ', fullfilename])
%
% appel du programme plot_mean qui calcule la moyenne des ppt
%for annee=annee1:annee2
[ppt_moy,ppt_ecartype,Latzone,Longzone]=plot_cartes3B42(annee1);
   %[ppt_cumul, ppt_moy]=plot_mean3B42(annee);
taille=size(ppt_moy);
%size(taille)
ppt_clim=zeros(taille(1),taille(2));
    %ppt_clim(:,:)=ppt_moy(:,:);
nbannee=annee2-annee1+1;
    %ppt_clim=zeros(1,nbannee);
for annee=annee1:annee2;
    [ppt_moy, ppt_ecartyp,Latzone,Longzone]=plot_cartes3B42(annee);
    ppt_clim(:,:)=ppt_clim(:,:)+ppt_moy(:,:);
    size(ppt_clim)
   % ppt_clim=ppt_clim(:,:)/nbannee;   
end

  ppt_clim=ppt_clim(:,:)/nbannee;
%  ppt_climecartyp=std(ppt_clim(:,:))
  ppt_climecartyp=sqrt((ppt_moy(:,:)-ppt_clim).^2)/nbannee;
%end
%ppt_clim(:,annee)=ppt_clim(:,:)+ppt_moy(:,:);

%size(ppt_clim)
ifigure=gcf()+1;
figure(ifigure);
subplot1(1,2,'Gap',[0.05 0.05],'XTickL','All','YTickL','Margin')
subplot1(1)
image3B42=imagesc(Longzone, Latzone, ppt_clim);
colorbar("SouthOutside");
axis('xy');
axis([lonmin lonmax latmin latmax]);
title('PPT Moyenne 2000-2009','fontsize',14);
xlabel('Longitude','fontsize',14);
ylabel('Latitude','fontsize',14);
subplot1(2)
image3B42=imagesc(Longzone, Latzone, ppt_climecartyp);
%colormap(jet(64));
%imshow(r, g, b);
%[x,image3B42]=rgb2ind(rgb)
%colorbar;
colorbar("SouthOutside");
axis('xy');
axis([lonmin lonmax latmin latmax]);
title('PPT Ecart Type 2000-2009','fontsize',14);
xlabel('Longitude','fontsize',14);
%ylabel('Latitude','fontsize',14);
%size(ppt_clim)
%an=annee1:annee2;
%xdata=an;
%size(xdata)
%ifigure=gcf()+1;
%figure(ifigure);
%plot(ppt_clim)
%grid on
    

