%+
%
% .. _sigmoide.m:
%
% ==========
% sigmoide.m
% ==========
%
% DESCRIPTION
% ===========
%
% +todo+ lit
%
% +todo+ calcule
%
% +todo+ dessine
%
% Figure is saved  in :file:`./sigmoide.ps`
%
% EXAMPLES
% ========
%
% ::
%
%  octave> clear all
%  octave> sigmoide
%
% SEE ALSO
% ========
%
% :ref:`guide data LAI <data_lai>`
%
% TODO
% ====
%
% complete description
%
% transform into function
%
% time and space parametrisation
%
% split reading and processing
%
% demo and test
%
% EVOLUTIONS
% ==========
%
% $Id$
%
% $URL: svn+ssh://pinsard@forge.ipsl.jussieu.fr/ipsl/forge/projets/varamma/svn/trunk/src/sigmoide.m $
%
% - fplod 20110223T133716Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * save figure
%
% - fplod 20110202T175133Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * date is a reserved word : replaced by doi
%   * chg ad and ac dimension and initial values to NaN
%
% - fplod 20110202T132012Z aedon.locean-ipsl.upmc.fr (Darwin)
%
%   * add minimun rest header
%
% - soclod 20110126
%
%   * creation
%-
mfilename
doi=load('datelai.txt');
ifigure=1;
figure(ifigure);
nbdoi=size(doi,2);
%indices de croissance
mc=29.51;
nc=0.13;
a1c=0.28;
a2c=0.47;
%indices de decroissance
md=38.67;
nd=0.13;
a1d=1.33;
a2d=3.93;
%j1=153;
%j2=281;
%j3=233;
%j4=361;
% definir le tableau temps
ac=zeros(nbdoi,1);
ac(:)=NaN;
ad=zeros(nbdoi,1);
ad(:)=NaN;
%for i=1:nbdoi;
%indc=find((doi == 153) & (doi == 281));
%indd=find((doi == 233) & (doi == 361));
for i=20:35;
  ac(i)=(a1c+a2c*(1/(1+exp(mc-nc*doi(i)))))*7;
  for j=30:nbdoi;
     ad(j)=a1d+a2d*(1/(1+exp(-(md-nd*doi(j)))));
   end
end
%
% prepare figure
ifigure=gcf();
figure(ifigure);
%
% plot
plot(doi, ac,'r*',doi,ad,'bx');
xlabel('days of the year');
ylabel('LAI for year');
title('Evolution of the sigmoide function');
%
% save figure
printer='ps';
print_printer=['-d', printer];
fullfilename=['./', mfilename '.' printer];
clear printer;
print(print_printer,fullfilename);
clear print_printer;
clear fullfilename;
%
